use uuid::Uuid;

use crate::roster::Contact;

pub enum Chat {
    Direct(DM),
    Channel(Channel),
}

#[derive(Debug)]
pub struct Message {
    id: Uuid,
    // contains full contact information
    from: Contact,
    // TODO: rich text, other contents, threads
    body: Body,
}

#[derive(Debug)]
pub struct Body {
    body: String,
}

pub struct DM {
    contact: Contact,
    message_history: Vec<Message>,
}

// TODO: group chats
pub struct Channel {}
