use stanza::client::presence::Show;

#[derive(Debug)]
pub struct Online {
    show: Option<Show>,
    status: Option<String>,
    priority: Option<i8>,
}

#[derive(Debug)]
pub struct Offline {
    status: Option<String>,
}

#[derive(Debug)]
pub enum Presence {
    Online(Online),
    Offline(Offline),
}
